Bug 1311316 - [abrt] ksh: regionof(): ksh killed by SIGSEGV
[abrt] ksh: regionof(): ksh killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ksh (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Siteshwar Vashisht
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c6540eee437c509cc60db78991f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 17:59 EST by Eric Blake
Modified: 2016-12-20 13:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:59:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (12.27 KB, text/plain)
2016-02-23 17:59 EST, Eric Blake
no flags Details
File: cgroup (201 bytes, text/plain)
2016-02-23 17:59 EST, Eric Blake
no flags Details
File: core_backtrace (3.62 KB, text/plain)
2016-02-23 17:59 EST, Eric Blake
no flags Details
File: dso_list (553 bytes, text/plain)
2016-02-23 17:59 EST, Eric Blake
no flags Details
File: environ (3.60 KB, text/plain)
2016-02-23 17:59 EST, Eric Blake
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-23 17:59 EST, Eric Blake
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-23 17:59 EST, Eric Blake
no flags Details
File: maps (2.71 KB, text/plain)
2016-02-23 17:59 EST, Eric Blake
no flags Details
File: mountinfo (4.33 KB, text/plain)
2016-02-23 17:59 EST, Eric Blake
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-23 17:59 EST, Eric Blake
no flags Details
File: open_fds (232 bytes, text/plain)
2016-02-23 17:59 EST, Eric Blake
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-02-23 17:59 EST, Eric Blake
no flags Details
File: var_log_messages (282 bytes, text/plain)
2016-02-23 17:59 EST, Eric Blake
no flags Details

  None (edit)
Description Eric Blake 2016-02-23 17:59:32 EST
Description of problem:
trying a test script from the dash mailing list that has ambiguous behavior (do heredocs always start with the first newline, or only with the first newline not embedded inside another shell word):

$ ksh <<\EOF
prefix() { sed -e "s/^/$1:/"; }
DASH_CODE() { :; }

prefix A <<XXX && echo "$(prefix B <<XXX
echo line 1
XXX
echo line 2)" && prefix DASH_CODE <<DASH_CODE
echo line 3
XXX
echo line 4)"
echo line 5
DASH_CODE
EOF

The crash doesn't happen every time, so it is a data-dependent race.  When it doesn't crash, I can't explain the output:
B:echo line 1
line 2 && prefix DASH_CODE <<DASH_CODE
echo line 3
XXX
echo line 4)
line 5

Version-Release number of selected component:
ksh-20120801-27.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        ksh
crash_function: regionof
executable:     /usr/bin/ksh
global_pid:     9928
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            14986

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 regionof at /usr/src/debug/ksh-20120801/src/lib/libast/vmalloc/malloc.c:347
 #1 free at /usr/src/debug/ksh-20120801/src/lib/libast/vmalloc/malloc.c:594
 #2 here_copy at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/lex.c:2042
 #4 sh_lex at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/lex.c:488
 #5 comsub at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/lex.c:1623
 #6 sh_lex at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/lex.c:875
 #7 simple at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/parse.c:1496
 #8 item at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/parse.c:1354
 #9 term at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/parse.c:577
 #10 list at /usr/src/debug/ksh-20120801/src/cmd/ksh93/sh/parse.c:550
Comment 1 Eric Blake 2016-02-23 17:59:36 EST
Created attachment 1129933 [details]
File: backtrace
Comment 2 Eric Blake 2016-02-23 17:59:37 EST
Created attachment 1129934 [details]
File: cgroup
Comment 3 Eric Blake 2016-02-23 17:59:38 EST
Created attachment 1129935 [details]
File: core_backtrace
Comment 4 Eric Blake 2016-02-23 17:59:39 EST
Created attachment 1129936 [details]
File: dso_list
Comment 5 Eric Blake 2016-02-23 17:59:40 EST
Created attachment 1129937 [details]
File: environ
Comment 6 Eric Blake 2016-02-23 17:59:41 EST
Created attachment 1129938 [details]
File: exploitable
Comment 7 Eric Blake 2016-02-23 17:59:41 EST
Created attachment 1129939 [details]
File: limits
Comment 8 Eric Blake 2016-02-23 17:59:43 EST
Created attachment 1129940 [details]
File: maps
Comment 9 Eric Blake 2016-02-23 17:59:43 EST
Created attachment 1129941 [details]
File: mountinfo
Comment 10 Eric Blake 2016-02-23 17:59:44 EST
Created attachment 1129942 [details]
File: namespaces
Comment 11 Eric Blake 2016-02-23 17:59:45 EST
Created attachment 1129943 [details]
File: open_fds
Comment 12 Eric Blake 2016-02-23 17:59:46 EST
Created attachment 1129944 [details]
File: proc_pid_status
Comment 13 Eric Blake 2016-02-23 17:59:47 EST
Created attachment 1129945 [details]
File: var_log_messages
Comment 14 Fedora Admin XMLRPC Client 2016-05-03 04:50:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora End Of Life 2016-11-24 10:44:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 13:59:06 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.